# Generated from repobrowse-0.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name repobrowse

Name: rubygem-%{gem_name}
Version: 0.0.0
Release: 1%{?dist}
Summary: repobrowse - old-fashioned repository browser
License: AGPL-3.0+
URL: https://80x24.org/repobrowse/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3
# BuildRequires: rubygem(test-unit) >= 3.0
# BuildRequires: rubygem(test-unit) < 4
BuildArch: noarch

%description
A repository browser with only basic HTML and text; free of
images and JavaScript.  It is intended as a companion to
public-inbox[1] but may be used on its own.  It only supports
git for now, but support for other Free Software version control
systems may happen.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.gitattributes
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/COPYING
%{gem_instdir}/GNUmakefile
%{gem_instdir}/MANIFEST
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README
%{gem_instdir}/repobrowse.gemspec
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 0.0.0-1
- Initial package
